import ChannelMessageStorage from './ChannelMessageStorage';

class ChatMemoryStorageAdapter {
  private channelMessageStorages: Record<string, ChannelMessageStorage> = {};
  channelMessageStorage(channelId: string): ChannelMessageStorage {
    if (!this.channelMessageStorages[channelId]) {
      this.channelMessageStorages[channelId] = new ChannelMessageStorage(channelId);
    }
    return this.channelMessageStorages[channelId];
  }
}

export default ChatMemoryStorageAdapter;
