import { ChannelMembershipStoragStateType } from './useChannelMembershipsData';
import { ChannelMembership } from './ChatClient';
declare class ChannelMembershipsStorage {
    private eventRegistry;
    private channelMembershipsCollection;
    constructor();
    upsert(channelMemberships: ChannelMembership[]): void;
    update(channelMemberships: ChannelMembership[]): void;
    sortedChannelMemberships(): ChannelMembership[];
    findBy(filter: {
        channelId: string;
        userId: string;
    }): ChannelMembership | undefined;
    findMany(channelId: string): ChannelMembership[] | undefined;
    state(): ChannelMembershipStoragStateType;
    onUpdate(callback: (data: any) => void): () => void;
}
export default ChannelMembershipsStorage;
//# sourceMappingURL=ChannelMembershipStorage.d.ts.map