import { ChatMessage, ChatChannel } from './ChatClient';
import ChatService from './ChatService';
export declare type ChannelMessageStorageStateType = {
    messages: ChatMessage[];
    loadingEarlier: boolean;
    loadingLater: boolean;
    hasMoreEarlier: boolean;
    liveUpdate: boolean;
    channel?: ChatChannel;
    unreadMessageCount?: number;
};
export declare const useChannelData: (channelExternalId: string, chatService: ChatService) => [
    ChannelMessageStorageStateType,
    () => Promise<void>,
    () => Promise<void>
];
//# sourceMappingURL=useChannelData.d.ts.map