import { BlockedUser, ChatChannel } from './ChatClient';
import ChatService from './ChatService';
export declare type ChannelStoragStateType = {
    channels: ChatChannel[];
    loadingEarlier: boolean;
    loadingLater: boolean;
    hasMoreEarlier: boolean;
    liveUpdate: boolean;
    errorMessage?: string;
    maxRetryAttemptsReached: boolean;
    blackList: BlockedUser[];
};
export declare const useChannelsData: (chatService?: ChatService | undefined) => [ChannelStoragStateType, () => void];
//# sourceMappingURL=useChannelsData.d.ts.map